Bug 74272 - uustat -a lists maximun of 201 jobs
uustat -a lists maximun of 201 jobs
Product: Red Hat Linux
Classification: Retired
Component: uucp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2002-09-19 07:26 EDT by Tomasz Kepczynski
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-14 06:21:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Kepczynski 2002-09-19 07:26:31 EDT
Description of Problem:
I've got quite a few uucp jobs on my machine
(ls -l /var/spool/uucp/shani/C./ | wc -l gives me 4318).
uustat -a or uustat -s shani lists only 201 jobs which is
incorrect. It looks like only the oldest jobs are listed.
No errors are reported, core is not dumped.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. Spool over 201 jobs to uucp
2. give it uustat -a|wc -l command

Actual Results:

Expected Results:

Additional Information:
Comment 1 Tomasz Kepczynski 2004-01-21 09:17:20 EST
As far as I can say this is fixed in uucp-1.07 as on ftp.gnu.org site.
In 1.06 this limit is fixed by #define COMMANDS_PER_SCAN (200) in file
unix/work.c. In 1.07 it is passed to function fsysdep_get_work_init as
cmax parameter with 0 meaning 'no limit'.


Note You need to log in before you can comment on or make changes to this bug.